Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get template list

Prev Next

Available in Classic and VPC

Get template information of Brand Message.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /brandmessage/v2/services/{serviceId}/templates

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required Biz Message service ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
plusFriendId String Required Channel ID
templateCode String Optional Template code
templateName String Optional Template name
  • Filter values that match in whole or in part.
messageType String Optional Message type
  • TEXT | IMAGE | WIDE_IMAGE | WIDE_ITEM_LIST | COMMERCE | CAROUSEL_COMMERCE | CAROUSEL_FEED | PREMIUM_VIDEO
    • TEXT: Text
    • IMAGE: Image type
    • WIDE_IMAGE: Wide image type
    • WIDE_ITEM_LIST: Wide list type
    • COMMERCE: Commerce type
    • CAROUSEL_COMMERCE: Carousel commerce type
    • CAROUSEL_FEED: Carousel feed type
    • PREMIUM_VIDEO: Premium video type
pageSize Integer Optional Number of items per page
  • 1-100 (default: 100)
pageIndex Integer Optional Page index
  • 0-N (default: 0)

Request example

The request example is as follows:

curl --location --request GET 'https://sens.apigw.ntruss.com/brandmessage/v2/services/ncp:kkobizmsg:kr:16******8:sens/templates?plusFriendId=%40********' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' 

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
items Array - Image list: items
pageIndex Integer - Page index
pageSize Integer - Number of items per page
itemCount Integer - Number of response results
hasPrevious Boolean - Whether previous page exists
  • true | false
    • true: It exists.
    • false: It doesn't exist.
hasNext Boolean - Whether next page exists
  • true | false
    • true: It exists.
    • false: It doesn't exist.
totalCount Integer - Total item count

items

The following describes items.

Field Type Required Description
createTime String - Template creation date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
updateTime String - Template modification date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
plusFriendId String - Channel ID
templateCode String - Template code
templateName String - Template name
templateStatus String - Template status
  • ACTIVE: Normal
messageType String - Message type
  • TEXT | IMAGE | WIDE_IMAGE | WIDE_ITEM_LIST | COMMERCE | CAROUSEL_COMMERCE | CAROUSEL_FEED | PREMIUM_VIDEO
    • TEXT: Text
    • IMAGE: Image type
    • WIDE_IMAGE: Wide image type
    • WIDE_ITEM_LIST: Wide list type
    • COMMERCE: Commerce type
    • CAROUSEL_COMMERCE: Carousel commerce type
    • CAROUSEL_FEED: Carousel feed type
    • PREMIUM_VIDEO: Premium video type
isAdult Boolean - Adult content flag
headerContent String - Header content
content String - Template content
additionalContent String - Additional content
buttons Array - Button information
item Object - Item list information
image Object - Image information
carousel Object - Carousel information
commerce Object - Commerce information
video Object - Video information
coupon Object - Coupon information

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

{
  "items": [
    {
      "plusFriendId": "@********",
      "templateCode": "99fd4b93b256ef*********************",
      "templateName": "Free coupon issuance",
      "templateStatus": "ACTIVE",
      "messageType": "TEXT",
      "isAdult": false,
      "createTime": "2025-11-19T22:57:19.949",
      "updateTime": "2025-11-25T15:01:36.265",
      "content": "#{content}",
      "buttons": [
        {
          "type": "WL",
          "name": "Go to site",
          "linkMobile": "https://www.****.com"
        }
      ],
      "coupon": {
        "title": "NAVER Cloud free coupon",
        "description": "Free coupon",
        "linkMobile": "https://www.****.com"
      }
    }
  ],
  "pageIndex": 0,
  "pageSize": 100,
  "itemCount": 1,
  "hasPrevious": false,
  "hasNext": false,
  "totalCount": 1
}